# eric4.Preferences.ConfigurationPages.DebuggerGeneral1Page

Module implementing the Debugger General (1) configuration page.

### Classes

DebuggerGeneral1Page | Class implementing the Debugger General (1) configuration page.

### Functions

create | Module function to create the configuration page.

## DebuggerGeneral1Page

Class implementing the Debugger General (1) configuration page.

### Derived from

ConfigurationPageBase, Ui_DebuggerGeneral1Page

### Methods

DebuggerGeneral1Page | Constructor
on_addAllowedHostButton_clicked | Private slot called to add a new allowed host.
on_allowedHostsList_currentItemChanged | Private method set the state of the edit and delete button.
on_deleteAllowedHostButton_clicked | Private slot called to delete an allowed host.
on_editAllowedHostButton_clicked | Private slot called to edit an allowed host.
save | Public slot to save the Debugger General (1) configuration.

#### DebuggerGeneral1Page (Constructor)

DebuggerGeneral1Page()

Constructor

#### DebuggerGeneral1Page.on_addAllowedHostButton_clicked

on_addAllowedHostButton_clicked()

Private slot called to add a new allowed host.

#### DebuggerGeneral1Page.on_allowedHostsList_currentItemChanged

on_allowedHostsList_currentItemChanged(current, previous)

Private method set the state of the edit and delete button.

current
  new current item (QListWidgetItem)
previous
  previous current item (QListWidgetItem)

#### DebuggerGeneral1Page.on_deleteAllowedHostButton_clicked

on_deleteAllowedHostButton_clicked()

Private slot called to delete an allowed host.

#### DebuggerGeneral1Page.on_editAllowedHostButton_clicked

on_editAllowedHostButton_clicked()

Private slot called to edit an allowed host.

#### DebuggerGeneral1Page.save

save()

Public slot to save the Debugger General (1) configuration.

Up

## create

create(dlg)

Module function to create the configuration page.

dlg
  reference to the configuration dialog

Up